mangohud(1)

NAME
mangohud - enable MangoHud on any application

SYNOPSIS
mangohud [--dlsym] COMMAND

DESCRIPTION
MangoHud is a Vulkan/OpenGL overlay for monitoring FPS, temperatures, CPU/GPU load and more.

USAGE
MangoHud can be enabled for Vulkan applications by setting MANGOHUD=1 as environment variable.
To load MangoHud for any application, including OpenGL applications, the mangohud executable can be used. It preloads a library via ld into the application.
Note: some OpenGL applications may also need dlsym hooking. This can be done by passing option --dlsym or by setting MANGOHUD_DLSYM=1 as envrionment variable.

CONFIG
MangoHud comes with a config file which can be used to set configuration options globally or per application. The priorities of different config files are:

    /path/to/application/MangoHud.conf
    $XDG_CONFIG_HOME/MangoHud/{application_name}.conf
    $XDG_CONFIG_HOME/MangoHud/MangoHud.conf

        An example config file is located in /usr/share/doc/mangohud/MangoHud.conf, containing all available options.

        A custom config file location can also be specified with the MANGOHUD_CONFIGFILE environment variable.
        Config options can also be set with the MANGOHUD_CONFIG environment variable. This takes priority over any config file.

EXAMPLES
OpenGL: mangohud glxgears
Vulkan: MANGOHUD=1 vkcube
Steam: set your launch option to mangohud %command%
Lutris: add mangohud to the Command prefix setting
OpenGL with dlsym: mangohud --dlsym glxgears
Custom config options: MANGOHUD_CONFIG="gpu_stats=0,font_size=12" mangohud glxgears

ABOUT
MangoHud development takes place at https://github.com/flightlessmango/MangoHud.
Benchmarks created with MangoHud can be uploaded to https://flightlessmango.com.